Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QGradient.Type

    java.lang.Object
      java.lang.Enum<QGradient.Type>
          com.trolltech.qt.gui.QGradient.Type

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGradient.Type>

Enclosing class:
  QGradient

    public static enum QGradient.Type

extends java.lang.Enum<QGradient.Type>
implements QtEnumerator

Specifies the type of gradient.

See Also:
  `type`

Enum Constant Summary
`ConicalGradient` Interpolate colors around a center point (`QConicalGradient`).
`LinearGradient` Interpolates colors between start and end points (`QLinearGradient`).
`NoGradient` No gradient is used.
`RadialGradient` Interpolate colors between a focal point and end points on a circle surrounding it (`QRadialGradient`).

Method Summary
`static QGradient.Type` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGradient.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGradient.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LinearGradient

    public static final QGradient.Type LinearGradient

  Interpolates colors between start and end points (`QLinearGradient`).

### RadialGradient

    public static final QGradient.Type RadialGradient

  Interpolate colors between a focal point and end points on a circle surrounding it (`QRadialGradient`).

### ConicalGradient

    public static final QGradient.Type ConicalGradient

  Interpolate colors around a center point (`QConicalGradient`).

### NoGradient

    public static final QGradient.Type NoGradient

  No gradient is used.

Method Detail

### values

    public static final QGradient.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGradient.Type c : QGradient.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGradient.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGradient.Type resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD